@echo off

set comport=9

echo.
echo ** Attempting to program WiFi module on COM%comport% **
echo.

esptool -cd none -cb 921600 -cp COM%comport% -bz 2M -bf 80 -bm qio -ca 0x00000 -cf boot_v1.6.bin -ca 0x01000 -cf httpd.user1.bin -ca 0x7e000 -cf blank.bin -ca 0x7f000 -cf blank.bin -ca 0x100000 -cf fsimage.bin -ca 0x3FC000 -cf esp_init_data_default.bin -ca 0x3fe000 -cf blank.bin -ca 0x3fa000 -cf blank.bin


rem inform user
echo.
echo ** Completed - Ensure no errors mentioned above! **
echo.

@pause
